Get a Shopify store's details
curl --request POST \
--url https://api.stophy.dev/v1/shopify/store \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"store": "allbirds.com"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({store: 'allbirds.com'})
};
fetch('https://api.stophy.dev/v1/shopify/store', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.stophy.dev/v1/shopify/store"
payload = { "store": "allbirds.com" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"store": {
"url": "<string>",
"isShopify": true,
"id": "<string>",
"name": "<string>",
"description": "<string>",
"myshopifyDomain": "<string>",
"domain": "<string>",
"currency": "<string>",
"address": {
"full": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"shipsTo": [
"<string>"
],
"products": 0,
"collections": 0
}
},
"creditsUsed": 123,
"requestId": "<string>"
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}Shopify
Shopify store API
Call the Shopify store API to get is shopify, name, description, myshopify domain, domain and currency, as JSON or markdown. 1 credit.
POST
/
v1
/
shopify
/
store
Get a Shopify store's details
curl --request POST \
--url https://api.stophy.dev/v1/shopify/store \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"store": "allbirds.com"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({store: 'allbirds.com'})
};
fetch('https://api.stophy.dev/v1/shopify/store', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.stophy.dev/v1/shopify/store"
payload = { "store": "allbirds.com" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"store": {
"url": "<string>",
"isShopify": true,
"id": "<string>",
"name": "<string>",
"description": "<string>",
"myshopifyDomain": "<string>",
"domain": "<string>",
"currency": "<string>",
"address": {
"full": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"shipsTo": [
"<string>"
],
"products": 0,
"collections": 0
}
},
"creditsUsed": 123,
"requestId": "<string>"
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}- Endpoint:
shopify.store - Returns:
datahasstore. - Cost: 1 credit. Failed calls cost nothing.
- Paging: No.
Example
import { Stophy } from "stophy";
const stophy = new Stophy({ apiKey: process.env.STOPHY_API_KEY });
const result = await stophy.shopify.store({ store: "allbirds.com" });
console.log(result.data.store);
from stophy import Stophy
stophy = Stophy() # reads STOPHY_API_KEY
result = stophy.shopify.store(store="allbirds.com")
print(result["data"]["store"])
curl -X POST https://api.stophy.dev/v1/shopify/store \
-H "Authorization: Bearer $STOPHY_API_KEY" \
-H "content-type: application/json" \
-d '{"store":"allbirds.com"}'
stophy shopify store allbirds.com
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json